> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return reports

> Returns records from the reports entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /reports
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /reports:
    get:
      tags:
        - reports
      summary: Return reports
      description: >-
        Returns records from the reports entity that match the specified query
        parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllreports
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: reports response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/reports'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    reports:
      type: object
      properties:
        Name:
          description: The name of the report.
          type: string
        Type:
          description: The type of report.
          type: string
        CreatedBy:
          description: The user who created this report.
          type: string
        CreatedTime:
          description: The time when the report was created
          type: string
          format: date-time
        ModifiedTime:
          description: The last modified time of the report.
          type: string
          format: date-time
        TimePeriod:
          description: The time period that the report should pull data from. In days.
          type: string
        Columns:
          description: The columns in the report.
          type: string
        GroupRows:
          description: The rows to group by in the report.
          type: string
        Filters:
          description: >-
            Any filters that should be used for the report. e.g.
            ConnectorType=SFTP,FTP;ConnectorId=SFTP1,SFTP2,FTP1,FTP2
          type: string
        Summary:
          description: >-
            Any summary information that should be provided in the generated
            report.
          type: string
        Schedule:
          description: The cron schedule to control when the report should run.
          type: string
        StartDate:
          description: The start date.
          type: string
          format: date-time
        EndDate:
          description: The end date.
          type: string
          format: date-time
        Format:
          description: The report format.
          type: string
        EmailReport:
          description: Whether or not to send the report via email.
          type: boolean
        EmailSubject:
          description: The email subject.
          type: string
        EmailRecipients:
          description: The email recipients.
          type: string
        TimePeriodStart:
          description: The custom TimePeriod start time.
          type: string
          format: date-time
        TimePeriodEnd:
          description: The custom TimePeriod end time.
          type: string
          format: date-time
        NextRunTime:
          description: The next scheduled time.
          type: string
          format: date-time
        IsRunning:
          description: Whether the reports is running.
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````